<app-store-header></app-store-header>

<div class="container">
    <div class="card">
        <h3> Додај нове белешке: </h3>
        <hr>

        <form [formGroup]="notesForm" (ngSubmit)="submitForm(notesForm.value)">
            <div class="form-group">
                <label for="name">Име документа:</label>
                <input name="name"
                        id="name"
                        formControlName="name"
                        class="form-control"
                        value=""
                        type="text"/>
                <p class="error-message" *ngIf="name.errors?.required">Име документа је обавезно!</p>
            </div>
            <div class="form-group">
                <label for="authors">Аутори:</label>
                <input name="authors"
                        id="authors"
                        formControlName="authors"
                        class="form-control"
                        value=""
                        type="text"/>
                        <p class="error-message" *ngIf="authors.errors?.required">Обавезно је име бар једног аутора!</p>
            </div>
            <div class="form-group">
                <label for="description">Опис:</label>
                <input name="description"
                        id="description"
                        formControlName="description"
                        class="form-control"
                        value=""
                        type="text"/>
            </div>
            <div class="form-group">
                <label for="subject">Предмет:</label>
                <input name="subject"
                        id="subject"
                        formControlName="subject"
                        class="form-control"
                        value=""
                        type="text"/>
            </div>
            <div class="form-group">
                <label for="image">Линк ка слици насловне стране:</label>
                <input name="image"
                        id="image"
                        formControlName="image"
                        class="form-control"
                        value=""
                        type="text"/>
            </div>
            <div class="form-group">
                <label for="url">Линк ка документу:</label>
                <input name="url"
                        id="url"
                        formControlName="url"
                        class="form-control"
                        value=""
                        type="text"/>
                        <p class="error-message" *ngIf="url.errors?.required">Линк ка документу је обавезан!</p>
            </div>

            <button class="btn btn-primary" 
                    [disabled]="!notesForm.valid"
                    type="submit">Додај белешке</button>

        </form>
    </div>
</div>
